'use strict'

/** @type {import('@adonisjs/lucid/src/Schema')} */
const Schema = use('Schema')

class ChildSchema extends Schema {
  up() {
    this.create('children', (table) => {
      table.increments();
      table.string('name');
      table.date('dob');
      table.string('avatar');
      table.string('profile_cover');
      table.timestamps();
    })
  }

  down() {
    this.drop('children')
  }
}

module.exports = ChildSchema
